Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/budget-tool.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/budget-tool.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/budget-tool.php	(revision 6067)
@@ -172,6 +172,4 @@
                 unset( $currencies[ $key ] );
 
-        ksort( $currencies );
-
         require( dirname( __DIR__ ) . '/views/budget-tool/main.php' );
     }
Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/payment-request.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/payment-request.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/payment-request.php	(revision 6067)
@@ -865,5 +865,5 @@
 			case 'payment_amount':
 				$currency = get_post_meta( $post_id, '_camppayments_currency', true );
-				if ( false === strpos( $currency, 'null' ) ) {
+				if ( $currency && false === strpos( $currency, 'null' ) ) {
 					echo esc_html( $currency ) . ' ';
 				}
@@ -996,5 +996,5 @@
 			}
 
-			if ( 'null-select-one' === $currency ) {
+			if ( false !== strpos( $currency, 'null' ) ) {
 				$currency = '';
 			}
Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/reimbursement-request.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/reimbursement-request.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/reimbursement-request.php	(revision 6067)
@@ -895,5 +895,5 @@
 		$categories = array();
 
-		if ( strpos( $currency, 'null' ) === 0 ) {
+		if ( false !== strpos( $currency, 'null' ) ) {
 			$currency = '';
 		}
Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/sponsor-invoice.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/sponsor-invoice.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/sponsor-invoice.php	(revision 6067)
@@ -460,5 +460,5 @@
 		case 'payment_amount':
 			$currency = get_post_meta( $post_id, '_wcbsi_currency', true );
-			if ( false === strpos( $currency, 'null' ) ) {
+			if ( $currency && false === strpos( $currency, 'null' ) ) {
 				echo esc_html( $currency ) . ' ';
 			}
Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/sponsor-payment-stripe.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/sponsor-payment-stripe.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/sponsor-payment-stripe.php	(revision 6067)
@@ -11,5 +11,4 @@
 const STEP_PAYMENT_DETAILS = 2;
 const STEP_PAYMENT_SUCCESS = 3;
-
 const CSS_VERSION = 1;
 
@@ -110,5 +109,5 @@
 
 			$currency = $_POST['currency'];
-			if ( ! array_key_exists( $currency, $data['currencies'] ) or strpos( $currency, 'null' ) === 0 ) {
+			if ( ! array_key_exists( $currency, $data['currencies'] ) || false !== strpos( $currency, 'null' ) ) {
 				$data['errors'][] = 'Invalid currency.';
 				return;
Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/wordcamp-budgets.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/wordcamp-budgets.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/includes/wordcamp-budgets.php	(revision 6067)
@@ -602,7 +602,7 @@
 
 	/**
-	 * Get a list of all world currencies, with the most frequently used at the top.
-	 *
-	 * @todo Bring this in line with ISO 4217
+	 * Get a list of ISO 4217 currencies, sorted by name.
+	 *
+	 * @todo Move this to helper-functions.php so it can be more cleanly reused, and update calls to it.
 	 *
 	 * @return array
@@ -610,125 +610,171 @@
 	public static function get_currencies() {
 		$currencies = array (
-			'null-most-frequently-used' => 'Most Frequently Used:',
+			'EUR' => 'European Zone Euro',
 			'USD' => 'United States Dollar',
-			'EUR' => 'Euro Member Countries',
-
-			'null-separator2' => '',
-
-			'null-all' => 'All:',
-			'ALL' => 'Albania Lek',
-			'AFN' => 'Afghanistan Afghani',
-			'ARS' => 'Argentina Peso',
-			'AWG' => 'Aruba Guilder',
-			'AUD' => 'Australia Dollar',
-			'AZN' => 'Azerbaijan New Manat',
-			'BSD' => 'Bahamas Dollar',
+
+			'' => '',
+
+			'AFN' => 'Afghan Afghani',
+			'ALL' => 'Albanian Lek',
+			'DZD' => 'Algerian Dinar',
+			'AOA' => 'Angolan Kwanza',
+			'ARS' => 'Argentine Peso',
+			'AMD' => 'Armenian Dram',
+			'AWG' => 'Aruban Florin',
+			'AUD' => 'Australian Dollar',
+			'AZN' => 'Azerbaijan Manat',
+			'BSD' => 'Bahamian Dollar',
+			'BHD' => 'Bahraini Dinar',
+			'BDT' => 'Bangladeshi Taka',
 			'BBD' => 'Barbados Dollar',
-			'BDT' => 'Bangladeshi taka',
-			'BYR' => 'Belarus Ruble',
+			'BYN' => 'Belarusian Ruble',
 			'BZD' => 'Belize Dollar',
-			'BMD' => 'Bermuda Dollar',
-			'BOB' => 'Bolivia Boliviano',
-			'BAM' => 'Bosnia and Herzegovina Convertible Marka',
+			'BMD' => 'Bermudian Dollar',
+			'BTN' => 'Bhutanese Ngultrum',
+			'BOB' => 'Bolivian Boliviano',
+			'BOV' => 'Bolivian Mvdol',
+			'BAM' => 'Bosnia and Herzegovina Convertible Mark',
 			'BWP' => 'Botswana Pula',
-			'BGN' => 'Bulgaria Lev',
-			'BRL' => 'Brazil Real',
-			'BND' => 'Brunei Darussalam Dollar',
-			'KHR' => 'Cambodia Riel',
-			'CAD' => 'Canada Dollar',
+			'BRL' => 'Brazilian Real',
+			'BND' => 'Bruneian Dollar',
+			'BGN' => 'Bulgarian Lev',
+			'MMK' => 'Burmese (Myanmar) Kyat',
+			'BIF' => 'Burundian Franc',
+			'CVE' => 'Cabo Verde Escudo',
+			'KHR' => 'Cambodian Riel',
+			'CAD' => 'Canadian Dollar',
 			'KYD' => 'Cayman Islands Dollar',
-			'XAF' => 'Central African CFA Franc',
-			'CLP' => 'Chile Peso',
-			'CNY' => 'China Yuan Renminbi',
-			'COP' => 'Colombia Peso',
-			'CRC' => 'Costa Rica Colon',
-			'HRK' => 'Croatia Kuna',
-			'CUP' => 'Cuba Peso',
-			'CZK' => 'Czech Republic Koruna',
-			'DKK' => 'Denmark Krone',
-			'DOP' => 'Dominican Republic Peso',
+			'XAF' => 'Central African CFA Franc BEAC',
+			'XPF' => 'Change Franc Pacifique (CFP) Franc',
+			'CLP' => 'Chilean Peso',
+			'CNY' => 'Chinese Yuan Renminbi',
+			'COP' => 'Colombian Peso',
+			'KMF' => 'Comorian Franc ',
+			'CDF' => 'Congolese Franc',
+			'NIO' => 'Cordoba Oro',
+			'CRC' => 'Costa Rican Colon',
+			'HRK' => 'Croatian Kuna',
+			'CUC' => 'Cuban Convertible Peso',
+			'CUP' => 'Cuban Peso',
+			'CZK' => 'Czech Koruna',
+			'DKK' => 'Danish Krone',
+			'DJF' => 'Djibouti Franc',
+			'DOP' => 'Dominican Peso',
 			'XCD' => 'East Caribbean Dollar',
-			'EGP' => 'Egypt Pound',
+			'XSU' => 'Ecuadorian Sucre',
+			'EGP' => 'Egyptian Pound',
 			'SVC' => 'El Salvador Colon',
-			'EEK' => 'Estonia Kroon',
-			'FKP' => 'Falkland Islands (Malvinas) Pound',
+			'ERN' => 'Eritrean Nakfa',
+			'ETB' => 'Ethiopian Birr',
+			'FKP' => 'Falkland Islands Pound',
 			'FJD' => 'Fiji Dollar',
-			'GHC' => 'Ghana Cedis',
+			'GMD' => 'Gambian Dalasi',
+			'GEL' => 'Georgian Lari',
+			'GHS' => 'Ghana Cedi',
 			'GIP' => 'Gibraltar Pound',
-			'GTQ' => 'Guatemala Quetzal',
-			'GGP' => 'Guernsey Pound',
+			'GTQ' => 'Guatemalan Quetzal',
+			'GNF' => 'Guinean Franc',
 			'GYD' => 'Guyana Dollar',
-			'HNL' => 'Honduras Lempira',
+			'HTG' => 'Haitian Gourde',
+			'HNL' => 'Honduran Lempira',
 			'HKD' => 'Hong Kong Dollar',
-			'HUF' => 'Hungary Forint',
+			'HUF' => 'Hungarian Forint',
 			'ISK' => 'Iceland Krona',
-			'INR' => 'India Rupee',
-			'IDR' => 'Indonesia Rupiah',
-			'IRR' => 'Iran Rial',
-			'IMP' => 'Isle of Man Pound',
-			'ILS' => 'Israel Shekel',
-			'JMD' => 'Jamaica Dollar',
-			'JPY' => 'Japan Yen',
-			'JEP' => 'Jersey Pound',
+			'INR' => 'Indian Rupee',
+			'IDR' => 'Indonesian Rupiah',
+			'IRR' => 'Iranian Rial',
+			'IQD' => 'Iraqi Dinar',
+			'JMD' => 'Jamaican Dollar',
+			'JPY' => 'Japanese Yen',
+			'JOD' => 'Jordanian Dinar',
+			'KZT' => 'Kazakhstani Tenge',
 			'KES' => 'Kenyan Shilling',
-			'KZT' => 'Kazakhstan Tenge',
-			'KPW' => 'Korea (North) Won',
-			'KRW' => 'Korea (South) Won',
-			'KGS' => 'Kyrgyzstan Som',
-			'LAK' => 'Laos Kip',
-			'LVL' => 'Latvia Lat',
-			'LBP' => 'Lebanon Pound',
-			'LRD' => 'Liberia Dollar',
-			'LTL' => 'Lithuania Litas',
-			'MKD' => 'Macedonia Denar',
-			'MYR' => 'Malaysia Ringgit',
+			'KWD' => 'Kuwaiti Dinar',
+			'KGS' => 'Kyrgystani Som',
+			'LAK' => 'Lao Kip',
+			'LBP' => 'Lebanese Pound',
+			'LSL' => 'Lesotho Loti',
+			'LRD' => 'Liberian Dollar',
+			'LYD' => 'Libyan Dinar',
+			'MOP' => 'Macanese Pataca',
+			'MKD' => 'Macedonian Denar',
+			'MGA' => 'Malagasy Ariary',
+			'MWK' => 'Malawi Kwacha',
+			'MYR' => 'Malaysian Ringgit',
+			'MVR' => 'Maldivian Rufiyaa',
+			'MRO' => 'Mauritanian Ouguiya',
 			'MUR' => 'Mauritius Rupee',
-			'MXN' => 'Mexico Peso',
-			'MNT' => 'Mongolia Tughrik',
+			'MXN' => 'Mexican Peso',
+			'MXV' => 'Mexican Unidad de Inversion (UDI)',
+			'MDL' => 'Moldovan Leu',
+			'MNT' => 'Mongolian Tugrik',
+			'MAD' => 'Moroccan Dirham',
 			'MZN' => 'Mozambique Metical',
 			'NAD' => 'Namibia Dollar',
-			'NPR' => 'Nepal Rupee',
-			'ANG' => 'Netherlands Antilles Guilder',
+			'NPR' => 'Nepalese Rupee',
+			'ANG' => 'Netherlands Antillean Guilder',
+			'ILS' => 'New Israeli Sheqel',
+			'TWD' => 'New Taiwan Dollar',
 			'NZD' => 'New Zealand Dollar',
-			'NIO' => 'Nicaragua Cordoba',
-			'NGN' => 'Nigeria Naira',
-			'NOK' => 'Norway Krone',
-			'OMR' => 'Oman Rial',
+			'NGN' => 'Nigerian Naira',
+			'KPW' => 'North Korean Won',
+			'NOK' => 'Norwegian Krone',
 			'PKR' => 'Pakistan Rupee',
-			'PAB' => 'Panama Balboa',
-			'PYG' => 'Paraguay Guarani',
-			'PEN' => 'Peru Nuevo Sol',
-			'PHP' => 'Philippines Peso',
-			'PLN' => 'Poland Zloty',
-			'QAR' => 'Qatar Riyal',
-			'RON' => 'Romania New Leu',
-			'RUB' => 'Russia Ruble',
+			'PAB' => 'Panamanian Balboa',
+			'PGK' => 'Papua New Guinean Kina',
+			'PYG' => 'Paraguayan Guarani',
+			'PEN' => 'Peruvian Sol',
+			'UYU' => 'Peso Uruguayo',
+			'PHP' => 'Philippine Piso',
+			'PLN' => 'Polish Zloty',
+			'QAR' => 'Qatari Rial',
+			'OMR' => 'Rial Omani',
+			'RON' => 'Romanian Leu',
+			'RUB' => 'Russian Ruble',
+			'RWF' => 'Rwanda Franc',
 			'SHP' => 'Saint Helena Pound',
-			'SAR' => 'Saudi Arabia Riyal',
-			'RSD' => 'Serbia Dinar',
+			'WST' => 'Samoan Tala',
+			'SAR' => 'Saudi Riyal',
+			'RSD' => 'Serbian Dinar',
 			'SCR' => 'Seychelles Rupee',
+			'SLL' => 'Sierra Leonean Leone',
 			'SGD' => 'Singapore Dollar',
 			'SBD' => 'Solomon Islands Dollar',
-			'SOS' => 'Somalia Shilling',
-			'ZAR' => 'South Africa Rand',
+			'SOS' => 'Somali Shilling',
+			'ZAR' => 'South African Rand',
+			'KRW' => 'South Korean Won',
+			'SSP' => 'South Sudanese Pound',
 			'LKR' => 'Sri Lanka Rupee',
-			'SEK' => 'Sweden Krona',
-			'CHF' => 'Switzerland Franc',
-			'SRD' => 'Suriname Dollar',
-			'SYP' => 'Syria Pound',
-			'TWD' => 'Taiwan New Dollar',
-			'THB' => 'Thailand Baht',
+			'SDG' => 'Sudanese Pound',
+			'SRD' => 'Surinam Dollar',
+			'SZL' => 'Swazi Lilangeni',
+			'SEK' => 'Swedish Krona',
+			'CHF' => 'Swiss Franc',
+			'SYP' => 'Syrian Pound',
+			'STD' => 'São Tomé & Príncipe Dobra',
+			'TJS' => 'Tajikistani Somoni',
+			'TZS' => 'Tanzanian Shilling',
+			'THB' => 'Thai Baht',
+			'TOP' => 'Tongan Paʻanga',
 			'TTD' => 'Trinidad and Tobago Dollar',
-			'TRY' => 'Turkey Lira',
-			'TRL' => 'Turkey Lira',
-			'TVD' => 'Tuvalu Dollar',
-			'UAH' => 'Ukraine Hryvna',
-			'GBP' => 'United Kingdom Pound',
-			'UYU' => 'Uruguay Peso',
-			'UZS' => 'Uzbekistan Som',
-			'VEF' => 'Venezuela Bolivar',
-			'VND' => 'Viet Nam Dong',
-			'YER' => 'Yemen Rial',
-			'ZWD' => 'Zimbabwe Dollar'
+			'TND' => 'Tunisian Dinar',
+			'TRY' => 'Turkish Lira',
+			'TMT' => 'Turkmenistan New Manat',
+			'UGX' => 'Uganda Shilling',
+			'UAH' => 'Ukrainian Hryvnia',
+			'CLF' => 'Unidad de Fomento',
+			'COU' => 'Unidad de Valor Real',
+			'AED' => 'United Arab Emirates Dirham',
+			'GBP' => 'United Kingdom Pound Sterling',
+			'UZS' => 'Uzbekistan Sum',
+			'VUV' => 'Vanuatu Vatu',
+			'VEF' => 'Venezuelan Bolívar',
+			'VND' => 'Vietnamese Dong',
+			'CHE' => 'WIR Euro',
+			'CHW' => 'WIR Franc',
+			'XOF' => 'West African CFA Franc',
+			'YER' => 'Yemeni Rial',
+			'ZMW' => 'Zambian Kwacha',
+			'ZWL' => 'Zimbabwe Dollar',
 		);
 
Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/budget-tool/main.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/budget-tool/main.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/budget-tool/main.php	(revision 6067)
@@ -179,7 +179,19 @@
             <# if (data.name == 'currency') { #>
                 <select class="value">
-                    <# _.each(wcb.currencies, function(v, k) { #>
-                    <option value="{{k}}" <#if(k==data.value){#>selected<#}#>>{{k}} - {{v}}</option>
-                    <# }); #>
+					<option value="">
+						<?php _e( '-- Select a Currency --', 'wordcamporg' ); ?>
+					</option>
+
+					<option value=""></option>
+
+					<# _.each( wcb.currencies, function( value, key ) { #>
+						<option value="{{key}}" <# if( key === data.value ) { #> selected <# } #> >
+							{{value}}
+
+							<# if ( key ) { #>
+								({{key}})
+							<# } #>
+						</option>
+					<# }); #>
                 </select>
             <# } else { #>
Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/payment-request/input-select.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/payment-request/input-select.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/payment-request/input-select.php	(revision 6067)
@@ -12,12 +12,16 @@
 		    <?php __checked_selected_helper( $required, true, true, 'required' ); ?>
 		>
-			<option value="null-select-one">
+			<option value="">
+				<?php // translators: %s is a label in a dropdown. For example, "Select a currency", or "Select a category". ?>
 				<?php printf( esc_html__( '-- Select a %s --', 'wordcamporg' ), $label ); ?>
 			</option>
-			<option value="null-separator1"></option>
+			<option value=""></option>
 
 			<?php foreach ( $options as $value => $option_label ) : ?>
 				<option value="<?php echo esc_attr( $value ); ?>" <?php selected( $value, $selected ); ?>>
 					<?php echo esc_html( $option_label ); ?>
+					<?php if ( 'currency' === $name && $value ) : ?>
+						(<?php echo esc_html( $value ); ?>)
+					<?php endif; ?>
 				</option>
 			<?php endforeach; ?>
Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/reimbursement-request/metabox-general-information.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/reimbursement-request/metabox-general-information.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/reimbursement-request/metabox-general-information.php	(revision 6067)
@@ -3,4 +3,13 @@
 namespace WordCamp\Budgets\Reimbursement_Requests;
 defined( 'WPINC' ) or die();
+
+/** @var \WP_Post $post */
+/** @var string   $name_of_payer */
+/** @var array    $available_currencies */
+/** @var string   $selected_currency  */
+/** @var array    $available_reasons */
+/** @var string   $selected_reason */
+/** @var string   $other_reason */
+/** @var int      $date_paid */
 
 ?>
@@ -31,13 +40,15 @@
 
 			<select id="_wcbrr_currency" name="_wcbrr_currency">
-				<option value="null-select-one">
+				<option value="">
 					<?php _e( '-- Select a Currency --', 'wordcamporg' ); ?>
 				</option>
-				<option value="null-separator1"></option>
+				<option value=""></option>
 
 				<?php foreach ( $available_currencies as $currency_key => $currency_name ) : ?>
 					<option value="<?php echo esc_attr( $currency_key ); ?>" <?php selected( $currency_key, $selected_currency ); ?> >
 						<?php echo esc_html( $currency_name ); ?>
-						<?php // todo - For better UX, prepend the code to the name (USD - United States Dollar), and sort by the code. Updating the sorting in get_currencies(). Also make this change other places this is used ?>
+						<?php if ( $currency_key ) : ?>
+							(<?php echo esc_html( $currency_key ); ?>)
+						<?php endif; ?>
 					</option>
 				<?php endforeach; ?>
@@ -53,8 +64,8 @@
 
 			<select id="_wcbrr_reason" name="_wcbrr_reason">
-				<option value="null-select-one">
+				<option value="">
 					<?php _e( '-- Select a Reason --', 'wordcamporg' ); ?>
 				</option>
-				<option value="null-separator1"></option>
+				<option value=""></option>
 
 				<?php foreach ( $available_reasons as $reason_key => $reason_name ) : ?>
Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/reimbursement-request/template-expense.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/reimbursement-request/template-expense.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/reimbursement-request/template-expense.php	(revision 6067)
@@ -18,8 +18,8 @@
 
 			<select id="_wcbrr_category_{{data.id}}" name="_wcbrr_category_{{data.id}}">
-				<option value="null-select-one">
+				<option value="">
 					<?php _e( '-- Select a Category --', 'wordcamporg' ); ?>
 				</option>
-				<option value="null-separator1"></option>
+				<option value=""></option>
 
 				<# _.each( wcbPaymentCategories, function( categoryName, categoryKey ) { #>
Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/sponsor-invoice/metabox-general.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/sponsor-invoice/metabox-general.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/sponsor-invoice/metabox-general.php	(revision 6067)
@@ -109,4 +109,7 @@
 				<option value="<?php echo esc_attr( $currency_key ); ?>" <?php selected( $currency_key, $selected_currency ); ?> >
 					<?php echo esc_html( $currency_name ); ?>
+					<?php if ( $currency_key ) : ?>
+						(<?php echo esc_html( $currency_key ); ?>)
+					<?php endif; ?>
 				</option>
 			<?php endforeach; ?>
Index: sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/sponsor-payment/main.php
===================================================================
--- sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/sponsor-payment/main.php	(revision 6066)
+++ sites/trunk/wordcamp.org/public_html/wp-content/plugins/wordcamp-payments/views/sponsor-payment/main.php	(revision 6067)
@@ -43,8 +43,10 @@
 					<select name="currency">
 						<option value="" disabled selected><?php esc_html_e( 'Select a Currency', 'wordcamporg' ); ?></option>
+						<option value=""></option>
+
 						<?php foreach ( $data['currencies'] as $currency_key => $currency_name ) : ?>
-						<option value="<?php echo esc_attr( $currency_key ); ?>">
-							<?php echo esc_html( $currency_name ); ?>
-						</option>
+							<option value="<?php echo esc_attr( $currency_key ); ?>">
+								<?php echo esc_html( $currency_name ); ?>
+							</option>
 						<?php endforeach; ?>
 					</select>