Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/404.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/404.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/404.php	(revision 6374)
@@ -1,7 +1,11 @@
 <?php
-/*
+/**
  * WordCamp.tv Index Fallback
  *
  * It will be weird if somebody sees this (but okay if 404)
+ *
+ * @global WP_Query          $wp_query
+ * @global WP_Post           $post
+ * @global WordPressTV_Theme $wptv
  */
 
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/archive.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/archive.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/archive.php	(revision 6374)
@@ -1,7 +1,11 @@
 <?php
-/*
+/**
  * WordCamp.tv Archives
  *
  * Yearly, monthly, daily, author and whatever falls back to archive.php.
+ *
+ * @global WP_Query          $wp_query
+ * @global WP_Post           $post
+ * @global WordPressTV_Theme $wptv
  */
 
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/breadcrumbs.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/breadcrumbs.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/breadcrumbs.php	(revision 6374)
@@ -2,4 +2,6 @@
 /**
  * Breadcrumbs template part, use with get_template_part()
+ *
+ * @global WordPressTV_Theme $wptv
  */
 
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/category-wordcamptv.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/category-wordcamptv.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/category-wordcamptv.php	(revision 6374)
@@ -1,7 +1,9 @@
 <?php
-/*
+/**
  * WordCampTV Category Archives
  *
  * Requires a special display, hence the template.
+ *
+ * @global WordPressTV_Theme $wptv
  */
 
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/category.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/category.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/category.php	(revision 6374)
@@ -1,8 +1,11 @@
 <?php
-/*
+/**
  * Category Archives
  *
  * Used for categories display, especially the to-do category.
  * Fallback to others as well.
+ *
+ * @global WP_Query          $wp_query
+ * @global WordPressTV_Theme $wptv
  */
 
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/comments.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/comments.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/comments.php	(revision 6374)
@@ -2,5 +2,6 @@
 /**
  * WordPress.tv Comments Template
- * @uses global $wptv->list_comments
+ *
+ * @global WordPressTV_Theme $wptv
  */
 
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/front-page.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/front-page.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/front-page.php	(revision 6374)
@@ -2,4 +2,6 @@
 /**
  * WordPress.tv Front Page Template
+ *
+ * @global WordPressTV_Theme $wptv
  */
 
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/functions.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/functions.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/functions.php	(revision 6374)
@@ -45,4 +45,6 @@
 	/**
 	 * Different posts_per_page settings for different views. Runs during pre_get_posts.
+	 *
+	 * @param WP_Query $query The WP_Query instance.
 	 */
 	function posts_per_page( $query ) {
@@ -170,4 +172,6 @@
 	/**
 	 * Render the Video Info box
+	 *
+	 * @global WP_Post $post
 	 */
 	function render_video_info_metabox() {
@@ -190,5 +194,5 @@
 	 * Save the values of meta box fields
 	 *
-	 * @param int $post_id
+	 * @param int     $post_id
 	 * @param WP_Post $post
 	 */
@@ -256,7 +260,6 @@
 	 * @todo optimize the get_tax_query part.
 	 *
-	 * @param string $search
+	 * @param string   $search
 	 * @param WP_Query $query
-	 *
 	 * @return string
 	 */
@@ -311,7 +314,6 @@
 	 * search. Make sure this filter runs only once per WP_Query request.
 	 *
-	 * @param string $join
+	 * @param string   $join
 	 * @param WP_Query $query
-	 *
 	 * @return string
 	 */
@@ -336,7 +338,6 @@
 	 * This filter glues all duplicates. Use only once per WP_Query.
 	 *
-	 * @param string $group_by
+	 * @param string   $group_by
 	 * @param WP_Query $query
-	 *
 	 * @return string
 	 */
@@ -355,5 +356,4 @@
 	 *
 	 * @param string $search
-	 *
 	 * @return array
 	 */
@@ -396,6 +396,6 @@
 	 *
 	 * @param object $comment
-	 * @param array $args
-	 * @param int $depth
+	 * @param array  $args
+	 * @param int    $depth
 	 */
 	function list_comments( $comment, $args, $depth ) {
@@ -445,5 +445,4 @@
 	 *
 	 * @param string $code
-	 *
 	 * @return string
 	 */
@@ -541,6 +540,6 @@
 	 * Outputs the video image
 	 *
-	 * @param int $h
-	 * @param int $w
+	 * @param int  $h
+	 * @param int  $w
 	 * @param bool $arrow
 	 * @param bool $html_code
@@ -597,5 +596,4 @@
 	 *
 	 * @param string $content
-	 *
 	 * @return mixed
 	 */
@@ -610,5 +608,4 @@
 	 *
 	 * @param string $path
-	 *
 	 * @return mixed|void
 	 */
@@ -662,5 +659,6 @@
 	 * @param string $sep
 	 * @param string $after
-	 * @param bool $display_count
+	 * @param bool   $display_count
+	 * @return bool|void False if there are no terms.
 	 */
 	public function the_terms( $taxonomy = 'post_tag', $before = '', $sep = '', $after = '', $display_count = true ) {
@@ -719,7 +717,7 @@
 	 * @param string $output
 	 * @param object $item
-	 * @param int $depth
-	 * @param array $args
-	 * @param int $id
+	 * @param int    $depth
+	 * @param array  $args
+	 * @param int    $id
 	 */
 	function start_el( &$output, $item, $depth = 0, $args = array(), $id = 0 ) {
@@ -787,6 +785,5 @@
  *
  * @param string $title Default title text for current view.
- * @param string $sep Optional separator.
- *
+ * @param string $sep   Optional separator.
  * @return string The filtered title.
  */
@@ -820,5 +817,4 @@
  *
  * @param string $excerpt
- *
  * @return string
  */
@@ -841,5 +837,4 @@
  *
  * @param string $username
- *
  * @return bool
  */
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/header.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/header.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/header.php	(revision 6374)
@@ -3,5 +3,5 @@
  * WordPress.tv Header Template
  *
- * @global $wptv
+ * @global WordPressTV_Theme $wptv
  */
 
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/index.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/index.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/index.php	(revision 6374)
@@ -1,7 +1,11 @@
 <?php
-/*
+/**
  * WordCamp.tv Index Fallback
  *
  * It will be weird if somebody sees this (but okay if 404)
+ *
+ * @global WP_Query          $wp_query
+ * @global WP_Post           $post
+ * @global WordPressTV_Theme $wptv
  */
 
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/pagination.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/pagination.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/pagination.php	(revision 6374)
@@ -2,4 +2,6 @@
 /**
  * Pagination template part, use with get_template_part()
+ *
+ * @global WP_Query $wp_query
  */
 
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/search.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/search.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/search.php	(revision 6374)
@@ -1,3 +1,8 @@
 <?php
+/**
+ *
+ * @global WP_Query $wp_query
+ */
+
 global $wp_query;
 
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/sidebar-single.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/sidebar-single.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/sidebar-single.php	(revision 6374)
@@ -1,3 +1,11 @@
-<?php global $wptv, $originalcontent; ?>
+<?php
+/**
+ *
+ * @global WordPressTV_Theme $wptv
+ * @global string            $originalcontent
+ */
+
+global $wptv, $originalcontent;
+?>
 
 <div class="secondary-content video-info">
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/single.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/single.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/single.php	(revision 6374)
@@ -2,7 +2,13 @@
 /**
  * Single Video Template
+ *
+ * @global WordPressTV_Theme $wptv
+ * @global string            $originalcontent
  */
+
 global $wptv, $originalcontent;
-get_header(); the_post();
+
+get_header();
+the_post();
 ?>
 <div class="wptv-hero group">
Index: /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/taxonomy-event.php
===================================================================
--- /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/taxonomy-event.php	(revision 6373)
+++ /sites/trunk/wordpress.tv/public_html/wp-content/themes/wptv2/taxonomy-event.php	(revision 6374)
@@ -1,7 +1,10 @@
 <?php
-/*
+/**
  * Event Taxonomy Archives
  *
  * Displays for event listings like individual WordCamps.
+ *
+ * @global WP_Query          $wp_query
+ * @global WordPressTV_Theme $wptv
  *
  * @todo cleanup and merge with category.php