Index: sites/trunk/trac.wordpress.org/templates/wporg-header.html
===================================================================
--- sites/trunk/trac.wordpress.org/templates/wporg-header.html	(revision 11500)
+++ sites/trunk/trac.wordpress.org/templates/wporg-header.html	(revision 11549)
@@ -3,9 +3,17 @@
 		<a id="wporg-skip-link" tabindex="" class="skip-link screen-reader-text" href="#main" data-selector="#main">Skip to content</a>
 <noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-P24PF4B" height="0" width="0" style="display:none;visibility:hidden"/></noscript>
-<header class="wp-container-trac-1 wp-block-group alignfull global-header"><figure class="wp-block-image is-resized global-header__wporg-logo-mark"><a href="https://wordpress.org/">
-			<img src="https://wordpress.org/style/images/w-mark.svg" alt="WordPress.org" width="27" height="27"/></a>
-	</figure><figure class="wp-block-image is-resized global-header__wporg-logo-full"><a href="https://wordpress.org/">
-			<img src="https://wordpress.org/wp-content/mu-plugins/pub-sync/blocks/global-header-footer/images/wporg-logo.svg" alt="WordPress.org" width="160" height="24"/></a>
-	</figure><nav class="wp-container-trac-2 is-responsive global-header__navigation wp-block-navigation"><button aria-haspopup="true" aria-label="Open menu" class="wp-block-navigation__responsive-container-open " data-micromodal-trigger="modal-trac-3"><svg width="24" height="24" xmlns="http://www.w3.org/2000/svg" viewbox="0 0 24 24" role="img" aria-hidden="true" focusable="false"><rect x="4" y="7.5" width="16" height="1.5"/><rect x="4" y="15" width="16" height="1.5"/></svg></button>
+	<svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 0 0" width="0" height="0" focusable="false" role="none" style="visibility: hidden; position: absolute; left: -9999px; overflow: hidden;"><defs><filter id="wp-duotone-dark-grayscale"><fecolormatrix color-interpolation-filters="sRGB" type="matrix" values=" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 "/><fecomponenttransfer color-interpolation-filters="sRGB"><fefuncr type="table" tablevalues="0 0.49803921568627"/><fefuncg type="table" tablevalues="0 0.49803921568627"/><fefuncb type="table" tablevalues="0 0.49803921568627"/><fefunca type="table" tablevalues="1 1"/></fecomponenttransfer><fecomposite in2="SourceGraphic" operator="in"/></filter></defs></svg><svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 0 0" width="0" height="0" focusable="false" role="none" style="visibility: hidden; position: absolute; left: -9999px; overflow: hidden;"><defs><filter id="wp-duotone-grayscale"><fecolormatrix color-interpolation-filters="sRGB" type="matrix" values=" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 "/><fecomponenttransfer color-interpolation-filters="sRGB"><fefuncr type="table" tablevalues="0 1"/><fefuncg type="table" tablevalues="0 1"/><fefuncb type="table" tablevalues="0 1"/><fefunca type="table" tablevalues="1 1"/></fecomponenttransfer><fecomposite in2="SourceGraphic" operator="in"/></filter></defs></svg><svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 0 0" width="0" height="0" focusable="false" role="none" style="visibility: hidden; position: absolute; left: -9999px; overflow: hidden;"><defs><filter id="wp-duotone-purple-yellow"><fecolormatrix color-interpolation-filters="sRGB" type="matrix" values=" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 "/><fecomponenttransfer color-interpolation-filters="sRGB"><fefuncr type="table" tablevalues="0.54901960784314 0.98823529411765"/><fefuncg type="table" tablevalues="0 1"/><fefuncb type="table" tablevalues="0.71764705882353 0.25490196078431"/><fefunca type="table" tablevalues="1 1"/></fecomponenttransfer><fecomposite in2="SourceGraphic" operator="in"/></filter></defs></svg><svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 0 0" width="0" height="0" focusable="false" role="none" style="visibility: hidden; position: absolute; left: -9999px; overflow: hidden;"><defs><filter id="wp-duotone-blue-red"><fecolormatrix color-interpolation-filters="sRGB" type="matrix" values=" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 "/><fecomponenttransfer color-interpolation-filters="sRGB"><fefuncr type="table" tablevalues="0 1"/><fefuncg type="table" tablevalues="0 0.27843137254902"/><fefuncb type="table" tablevalues="0.5921568627451 0.27843137254902"/><fefunca type="table" tablevalues="1 1"/></fecomponenttransfer><fecomposite in2="SourceGraphic" operator="in"/></filter></defs></svg><svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 0 0" width="0" height="0" focusable="false" role="none" style="visibility: hidden; position: absolute; left: -9999px; overflow: hidden;"><defs><filter id="wp-duotone-midnight"><fecolormatrix color-interpolation-filters="sRGB" type="matrix" values=" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 "/><fecomponenttransfer color-interpolation-filters="sRGB"><fefuncr type="table" tablevalues="0 0"/><fefuncg type="table" tablevalues="0 0.64705882352941"/><fefuncb type="table" tablevalues="0 1"/><fefunca type="table" tablevalues="1 1"/></fecomponenttransfer><fecomposite in2="SourceGraphic" operator="in"/></filter></defs></svg><svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 0 0" width="0" height="0" focusable="false" role="none" style="visibility: hidden; position: absolute; left: -9999px; overflow: hidden;"><defs><filter id="wp-duotone-magenta-yellow"><fecolormatrix color-interpolation-filters="sRGB" type="matrix" values=" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 "/><fecomponenttransfer color-interpolation-filters="sRGB"><fefuncr type="table" tablevalues="0.78039215686275 1"/><fefuncg type="table" tablevalues="0 0.94901960784314"/><fefuncb type="table" tablevalues="0.35294117647059 0.47058823529412"/><fefunca type="table" tablevalues="1 1"/></fecomponenttransfer><fecomposite in2="SourceGraphic" operator="in"/></filter></defs></svg><svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 0 0" width="0" height="0" focusable="false" role="none" style="visibility: hidden; position: absolute; left: -9999px; overflow: hidden;"><defs><filter id="wp-duotone-purple-green"><fecolormatrix color-interpolation-filters="sRGB" type="matrix" values=" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 "/><fecomponenttransfer color-interpolation-filters="sRGB"><fefuncr type="table" tablevalues="0.65098039215686 0.40392156862745"/><fefuncg type="table" tablevalues="0 1"/><fefuncb type="table" tablevalues="0.44705882352941 0.4"/><fefunca type="table" tablevalues="1 1"/></fecomponenttransfer><fecomposite in2="SourceGraphic" operator="in"/></filter></defs></svg><svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 0 0" width="0" height="0" focusable="false" role="none" style="visibility: hidden; position: absolute; left: -9999px; overflow: hidden;"><defs><filter id="wp-duotone-blue-orange"><fecolormatrix color-interpolation-filters="sRGB" type="matrix" values=" .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 .299 .587 .114 0 0 "/><fecomponenttransfer color-interpolation-filters="sRGB"><fefuncr type="table" tablevalues="0.098039215686275 1"/><fefuncg type="table" tablevalues="0 0.66274509803922"/><fefuncb type="table" tablevalues="0.84705882352941 0.41960784313725"/><fefunca type="table" tablevalues="1 1"/></fecomponenttransfer><fecomposite in2="SourceGraphic" operator="in"/></filter></defs></svg>
+<header class="wp-container-trac-1 wp-block-group alignfull global-header">
+	<figure class="wp-block-image is-resized global-header__wporg-logo-mark">
+		<a href="https://wordpress.org/">
+			<img src="https://wordpress.org/style/images/w-mark.svg" alt="WordPress.org" width="27" height="27"/>
+		</a>
+	</figure>
+	<figure class="wp-block-image is-resized global-header__wporg-logo-full">
+		<a href="https://wordpress.org/">
+			<img src="https://wordpress.org/wp-content/mu-plugins/pub-sync/blocks/global-header-footer/images/wporg-logo.svg" alt="WordPress.org" width="160" height="24"/>
+		</a>
+	</figure>
+	<nav class="wp-container-trac-2 is-responsive global-header__navigation wp-block-navigation"><button aria-haspopup="true" aria-label="Open menu" class="wp-block-navigation__responsive-container-open " data-micromodal-trigger="modal-trac-3"><svg width="24" height="24" xmlns="http://www.w3.org/2000/svg" viewbox="0 0 24 24" role="img" aria-hidden="true" focusable="false"><rect x="4" y="7.5" width="16" height="1.5"/><rect x="4" y="15" width="16" height="1.5"/></svg></button>
 			<div class="wp-block-navigation__responsive-container  " style="" id="modal-trac-3">
 				<div class="wp-block-navigation__responsive-close" tabindex="-1" data-micromodal-close="">
@@ -13,8 +21,10 @@
 							<button aria-label="Close menu" data-micromodal-close="" class="wp-block-navigation__responsive-container-close"><svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 24 24" width="24" height="24" role="img" aria-hidden="true" focusable="false"><path d="M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z"/></svg></button>
 						<div class="wp-block-navigation__responsive-container-content" id="modal-trac-3-content">
-							<ul class="wp-block-navigation__container"><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/plugins/"><span class="wp-block-navigation-item__label">Plugins</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/themes/"><span class="wp-block-navigation-item__label">Themes</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/patterns/"><span class="wp-block-navigation-item__label">Patterns</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://learn.wordpress.org/"><span class="wp-block-navigation-item__label">Learn</span></a></li><li class=" wp-block-navigation-item has-child wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/support/"><span class="wp-block-navigation-item__label">Support</span><span class="wp-block-navigation__submenu-icon"><svg width="10" height="7" viewbox="0 0 10 7" stroke-width="1.2" xmlns="http://www.w3.org/2000/svg"><path d="M0.416667 1.33325L5 5.49992L9.58331 1.33325"/></svg></span></a><ul class="wp-block-navigation__submenu-container"><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/support/"><span class="wp-block-navigation-item__label">Documentation</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/support/forums/"><span class="wp-block-navigation-item__label">Forums</span></a></li></ul></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/news/"><span class="wp-block-navigation-item__label">News</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/about/"><span class="wp-block-navigation-item__label">About</span></a></li><li class=" wp-block-navigation-item has-child wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://make.wordpress.org/"><span class="wp-block-navigation-item__label">Get Involved</span><span class="wp-block-navigation__submenu-icon"><svg width="10" height="7" viewbox="0 0 10 7" stroke-width="1.2" xmlns="http://www.w3.org/2000/svg"><path d="M0.416667 1.33325L5 5.49992L9.58331 1.33325"/></svg></span></a><ul class="wp-block-navigation__submenu-container"><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/five-for-the-future/"><span class="wp-block-navigation-item__label">Five for the Future</span></a></li></ul></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/showcase/"><span class="wp-block-navigation-item__label">Showcase</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/mobile/"><span class="wp-block-navigation-item__label">Mobile</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/hosting/"><span class="wp-block-navigation-item__label">Hosting</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/openverse/"><span class="wp-block-navigation-item__label">Openverse</span></a></li><li class=" wp-block-navigation-item global-header__mobile-get-wordpress global-header__get-wordpress wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/downloads/"><span class="wp-block-navigation-item__label">Get WordPress</span></a></li></ul></div>
+							<ul class="wp-block-navigation__container"><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/plugins/"><span class="wp-block-navigation-item__label">Plugins</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/themes/"><span class="wp-block-navigation-item__label">Themes</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/patterns/"><span class="wp-block-navigation-item__label">Patterns</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://learn.wordpress.org/"><span class="wp-block-navigation-item__label">Learn</span></a></li><li class=" wp-block-navigation-item has-child wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/support/"><span class="wp-block-navigation-item__label">Support</span><span class="wp-block-navigation__submenu-icon"><svg width="10" height="7" viewbox="0 0 10 7" stroke-width="1.2" xmlns="http://www.w3.org/2000/svg"><path d="M0.416667 1.33325L5 5.49992L9.58331 1.33325"/></svg></span></a><ul class="wp-block-navigation__submenu-container"><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/support/"><span class="wp-block-navigation-item__label">Documentation</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/support/forums/"><span class="wp-block-navigation-item__label">Forums</span></a></li></ul></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/news/"><span class="wp-block-navigation-item__label">News</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/about/"><span class="wp-block-navigation-item__label">About</span></a></li><li class=" wp-block-navigation-item has-child wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://make.wordpress.org/"><span class="wp-block-navigation-item__label">Get Involved</span><span class="wp-block-navigation__submenu-icon"><svg width="10" height="7" viewbox="0 0 10 7" stroke-width="1.2" xmlns="http://www.w3.org/2000/svg"><path d="M0.416667 1.33325L5 5.49992L9.58331 1.33325"/></svg></span></a><ul class="wp-block-navigation__submenu-container"><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/five-for-the-future/"><span class="wp-block-navigation-item__label">Five for the Future</span></a></li></ul></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/showcase/"><span class="wp-block-navigation-item__label">Showcase</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/mobile/"><span class="wp-block-navigation-item__label">Mobile</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/hosting/"><span class="wp-block-navigation-item__label">Hosting</span></a></li><li class=" wp-block-navigation-item wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/openverse/"><span class="wp-block-navigation-item__label">Openverse</span></a></li><li class=" wp-block-navigation-item global-header__mobile-get-wordpress global-header__get-wordpress wp-block-navigation-link"><a class="wp-block-navigation-item__content" href="https://wordpress.org/downloads/"><span class="wp-block-navigation-item__label">Get WordPress</span></a></li></ul>
+						</div>
 					</div>
 				</div>
-			</div></nav><nav class="wp-container-trac-4 is-responsive global-header__search wp-block-navigation"><button aria-haspopup="true" aria-label="Open menu" class="wp-block-navigation__responsive-container-open always-shown" data-micromodal-trigger="modal-trac-5"><svg width="24" height="24" xmlns="http://www.w3.org/2000/svg" viewbox="0 0 24 24" role="img" aria-hidden="true" focusable="false"><rect x="4" y="7.5" width="16" height="1.5"/><rect x="4" y="15" width="16" height="1.5"/></svg></button>
+			</div></nav>
+		<nav class="wp-container-trac-4 is-responsive global-header__search wp-block-navigation"><button aria-haspopup="true" aria-label="Open menu" class="wp-block-navigation__responsive-container-open always-shown" data-micromodal-trigger="modal-trac-5"><svg width="24" height="24" xmlns="http://www.w3.org/2000/svg" viewbox="0 0 24 24" role="img" aria-hidden="true" focusable="false"><rect x="4" y="7.5" width="16" height="1.5"/><rect x="4" y="15" width="16" height="1.5"/></svg></button>
 			<div class="wp-block-navigation__responsive-container hidden-by-default " style="" id="modal-trac-5">
 				<div class="wp-block-navigation__responsive-close" tabindex="-1" data-micromodal-close="">
@@ -22,17 +32,15 @@
 							<button aria-label="Close menu" data-micromodal-close="" class="wp-block-navigation__responsive-container-close"><svg xmlns="http://www.w3.org/2000/svg" viewbox="0 0 24 24" width="24" height="24" role="img" aria-hidden="true" focusable="false"><path d="M13 11.8l6.1-6.3-1-1-6.1 6.2-6.1-6.2-1 1 6.1 6.3-6.5 6.7 1 1 6.5-6.6 6.5 6.6 1-1z"/></svg></button>
 						<div class="wp-block-navigation__responsive-container-content" id="modal-trac-5-content">
-		<form role="search" method="GET" action="/search" class="wp-block-search__button-outside wp-block-search__text-button global-header__search-form wp-block-search">
-			<label for="wp-block-search__input-99" class="wp-block-search__label">
-				Search			</label>
-			<div class="wp-block-search__inside-wrapper">
-				<input type="search" id="wp-block-search__input-99" class="wp-block-search__input" name="q" value="" placeholder="Search Trac..." required=""/><button type="submit" class="wp-block-search__button" aria-label="Submit search"/>
-			</div>
-		</form>
+							<form role="search" method="GET" action="/search" class="wp-block-search__button-inside wp-block-search__icon-button wp-block-search"><label for="wp-block-search__input-2" class="wp-block-search__label">Search</label><div class="wp-block-search__inside-wrapper "><input type="search" id="wp-block-search__input-2" class="wp-block-search__input " name="q" value="" placeholder="Search Trac..." required=""/><button type="submit" class="wp-block-search__button  has-icon"><svg id="search-icon" class="search-icon" viewbox="0 0 24 24" width="24" height="24">
+			        <path d="M13.5 6C10.5 6 8 8.5 8 11.5c0 1.1.3 2.1.9 3l-3.4 3 1 1.1 3.4-2.9c1 .9 2.2 1.4 3.6 1.4 3 0 5.5-2.5 5.5-5.5C19 8.5 16.5 6 13.5 6zm0 9.5c-2.2 0-4-1.8-4-4s1.8-4 4-4 4 1.8 4 4-1.8 4-4 4z"/>
+			    </svg></button></div></form>
 						</div>
 					</div>
 				</div>
-			</div></nav><div class="wp-container-trac-6 global-header__desktop-get-wordpress-container">
+			</div></nav>
+	<div class="wp-container-trac-6 global-header__desktop-get-wordpress-container">
 		<a href="https://wordpress.org/downloads/" class="global-header__desktop-get-wordpress global-header__get-wordpress">
 			Get WordPress		</a>
 	</div>
-</header></html>
+</header>
+</html>