Index: /sites/trunk/api.wordpress.org/public_html/core/credits/wp-61.php
===================================================================
--- /sites/trunk/api.wordpress.org/public_html/core/credits/wp-61.php	(revision 12244)
+++ /sites/trunk/api.wordpress.org/public_html/core/credits/wp-61.php	(revision 12245)
@@ -96,4 +96,5 @@
 			'_smartik_',
 			'0mirka00',
+			'10upsimon',
 			'1naveengiri',
 			'5um17',
@@ -155,4 +156,5 @@
 			'azaozz',
 			'azouamauriac',
+			'azurseisme',
 			'baned',
 			'barneydavey',
@@ -169,4 +171,5 @@
 			'bhrugesh12',
 			'birgire',
+			'bjorn2404',
 			'bjorsch',
 			'blackawxs',
@@ -187,4 +190,5 @@
 			'camwynsp',
 			'cantuaria',
+			'carazo',
 			'carlosgprim',
 			'cavalierlife',
@@ -212,6 +216,8 @@
 			'ckanderson22',
 			'clarkeemily',
+			'claytoncollie',
 			'clorith',
 			'codekraft',
+			'codesdnc',
 			'codewhy',
 			'collet',
@@ -248,4 +254,5 @@
 			'davidbaumwald',
 			'davidbinda',
+			'davidvongries',
 			'daviedr',
 			'daxelrod',
@@ -321,4 +328,6 @@
 			'flootr',
 			'florianbrinkmann',
+			'fpodhorsky',
+			'franz00',
 			'fuadragib',
 			'fullofcaffeine',
@@ -326,4 +335,5 @@
 			'gabertronic',
 			'gabri3lmarques',
+			'gamecreature',
 			'garrett-eclipse',
 			'garyj',
@@ -336,4 +346,5 @@
 			'gigitux',
 			'giox069',
+			'gisgeo',
 			'gitlost',
 			'giuseppemazzapica',
@@ -394,4 +405,5 @@
 			'inc2734',
 			'infolu',
+			'innovext',
 			'ipajen',
 			'ipstenu',
@@ -413,4 +425,5 @@
 			'javiercasares',
 			'jb510',
+			'jchambo',
 			'jdgrimes',
 			'jeawhanlee',
@@ -429,4 +442,5 @@
 			'joehoyle',
 			'joelhardi',
+			'joelmadigan',
 			'joemcgill',
 			'joen',
@@ -436,4 +450,5 @@
 			'johnregan3',
 			'johnstonphilip',
+			'johnwatkins0',
 			'jonmackintosh',
 			'jonny-s',
@@ -450,4 +465,5 @@
 			'jrbeilke',
 			'jrf',
+			'jsh4',
 			'jsnajdr',
 			'jsnjohnston',
@@ -460,4 +476,5 @@
 			'justinsainton',
 			'jyolsna',
+			'kacper3355',
 			'kadamwhite',
 			'kafleg',
@@ -490,4 +507,5 @@
 			'knutsp',
 			'konradyoast',
+			'konyoldeath',
 			'kovshenin',
 			'kraftbj',
@@ -499,4 +517,5 @@
 			'laboiteare',
 			'larrach',
+			'larsmqller',
 			'laurelfulford',
 			'laurent22777',
@@ -506,4 +525,5 @@
 			'leewillis77',
 			'leogermani',
+			'leonidasmilossis',
 			'lev0',
 			'linsoftware',
@@ -511,4 +531,5 @@
 			'lopo',
 			'lovor',
+			'lozula',
 			'lucasbustamante',
 			'lucilastancato',
@@ -528,4 +549,5 @@
 			'manishsongirkar36',
 			'manooweb',
+			'manuilov',
 			'manzoorwanijk',
 			'manzurahammed',
@@ -546,4 +568,5 @@
 			'matthiaspabst',
 			'matthiasreinholz',
+			'mattkeys',
 			'mattwondra',
 			'mattyrob',
@@ -571,4 +594,5 @@
 			'mhkuu',
 			'michaelbourne',
+			'miguelaxcar',
 			'mihai2u',
 			'mihaidumitrascu',
@@ -606,4 +630,5 @@
 			'multidots1896',
 			'mvraghavan',
+			'mw108',
 			'mweichert',
 			'mxbclang',
@@ -642,9 +667,13 @@
 			'nunomorgadinho',
 			'nuryko',
+			'nuvopoint',
 			'nvartolomei',
+			'oakesjosh',
 			'oandregal',
 			'obayedmamur',
+			'obenland',
 			'obliviousharmony',
 			'ocean90',
+			'ockham',
 			'oglekler',
 			'oguzkocer',
@@ -657,4 +686,5 @@
 			'opr18',
 			'otto42',
+			'outrankjames',
 			'ovidiul',
 			'oztaser',
@@ -680,4 +710,5 @@
 			'petitphp',
 			'phillsav',
+			'pkolenbr',
 			'pls78',
 			'poena',
@@ -694,4 +725,5 @@
 			'prokium',
 			'psykro',
+			'pypwalters',
 			'rachelbaker',
 			'raduiason',
@@ -722,4 +754,5 @@
 			'rinkychowdhury9',
 			'rishishah',
+			'rjasdfiii',
 			'rkaiser0324',
 			'rmccue',
@@ -727,4 +760,5 @@
 			'robinwpdeveloper',
 			'robmiller',
+			'rodricus',
 			'rodrigosevero',
 			'rolfsiebers',
@@ -736,4 +770,5 @@
 			'russel07',
 			'ryan',
+			'ryankienstra',
 			'ryanmurphy',
 			'ryelle',
@@ -775,4 +810,5 @@
 			'shuvo586',
 			'siobhyb',
+			'sippis',
 			'sirzooro',
 			'skithund',
@@ -785,4 +821,5 @@
 			'ste_95',
 			'steelwagstaff',
+			'stentibbing',
 			'sterlo',
 			'stevenlinx',
@@ -790,4 +827,5 @@
 			'strategio',
 			'studiolxv',
+			'subrataemfluence',
 			'sumitbagthariya16',
 			'sumitsingh',
@@ -856,7 +894,9 @@
 			'voldemortensen',
 			'vortfu',
+			'vtad',
 			'walbo',
 			'webbeetle',
 			'webcommsat',
+			'webmandesign',
 			'welcher',
 			'welenofsky',